/// <reference types="node" />
import { EventEmitter } from 'events';
import { ISensor } from './Sensor';
export declare class FakeGps extends EventEmitter implements ISensor {
    private readonly nmeaRecording;
    private readonly sentenceFilter;
    private readonly loop;
    private readonly nmeaSentences;
    private sentenceIndex;
    private reader?;
    private readStream?;
    private started;
    private gpsEmitterIntervalId;
    constructor(nmeaRecording: string, sentenceFilter: Array<string>, loop?: boolean);
    private readGPSData;
    private emitGPSData;
    start(): Promise<void>;
    private cleanUpAndStartEmitting;
    stop(): void;
    isStarted(): boolean;
}
